<?php

namespace Drupal\domprocessor\UrlProcessor;

use Symfony\Component\HttpFoundation\RedirectResponse;
use Symfony\Component\HttpFoundation\Response;

interface UrlProcessorInterface {

  public function applies(Response $response): bool;

  public function processUrl(\DomAttr $node, Response $response): void;

  public function processRedirectResponse(RedirectResponse $response): void;

}
